# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLProtocolContext

Packages that use SAMLProtocolContext
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.

## Uses of SAMLProtocolContext in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl declared as SAMLProtocolContext
Modifier and Type
Field
Description
`private SAMLProtocolContext`
BaseSAMLXMLSignatureSecurityHandler.`samlProtocolContext`
The SAML protocol context in operation.
Methods in org.opensaml.saml.common.binding.security.impl that return SAMLProtocolContext
Modifier and Type
Method
Description
`protected SAMLProtocolContext`
BaseSAMLXMLSignatureSecurityHandler.`getSAMLProtocolContext()`
Get the `SAMLProtocolContext` associated with the message.

## Uses of SAMLProtocolContext in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate with parameters of type SAMLProtocolContext
Modifier and Type
Method
Description
`String`
SAMLProtocolContextProtocolFunction.`apply(SAMLProtocolContext input)`